Subject: Re: [bug#42555] [PATCH v2 core-updates] build-system/gnu: strip with --strip-unneeded

From: Jakub Kądziołka <[email-masked]>
Date: Sat, 19 Sep 2020 15:49:31 +0200

On Sat Sep 19, 2020 at 4:49 PM CEST, Ludovic Courtès wrote:
> Hi Jakub,
>
> Jakub Kądziołka <[email-masked]> skribis:
>
> > Apart from debug information, one can also strip some symbols. This can
> > be a significant difference, the closure of gcc-toolchain@7 got reduced
> > by 15 MB in my tests.
>
> Nice! Now’s a good time to get that patch in on ‘core-updates’.

Thanks. Patch pushed (with a small hiccup...)

> > [1]: https://stackoverflow.com/a/52555093
>
> Perhaps we can omit this one. In general, I think it’s safer to refer
> to “primary sources” as Wikipedians would say.

The problem with "primary sources" is that the docs on this are quite
sparse. I think this link is much more comprehensive.

> > [2]: http://www.linuxfromscratch.org/lfs/view/9.1/chapter05/stripping.html
> > [3]: https://www.technovelty.org/linux/stripping-shared-libraries.html
> >
> > * guix/build/gnu-build-system.scm (strip): Use --strip-unneeded.
> > * guix/build-system/gnu.scm (static-package, gnu-build, gnu-cross-build): Likewise.
>
> LGTM!
>
> For the record, I tried ‘--strip-all’ before, but that was
> problematic
> for some reason:
>
> https://lists.gnu.org/archive/html/guix-devel/2018-03/msg00135.html

The docs for --strip-all say "Do not copy relocation and symbol
information", so I would expect some relocation and/or linking use case
to get broken...

Regards,
Jakub Kądziołka